@echo off
::==================================================================================================
:: DATATYPE SYNONIMS DEFINITION (FOR IMPORT THROUGH "SQLAUX.cmd"):
::~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
:: SQLAUX scripting library | Author: Sergei Y.Kitaev
::-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if not "%~1"=="(InternalCall)" goto INCORRECT_INTERNAL_CALL
::==================================================================================================
:: DEFINITION OF UNIVERSAL DATA TYPES:
::--------------------------------------------------------------------------------------------------
:: ___ ABBREVIATIONS: ___
:: "HPDecimal" -- high precision decimal
:: "MPDecimal" -- middle precision decimal
::--------------------------------------------------------------------------------------------------

set dt_String_AUX=nvarchar(max)
set dt_AnsiString_AUX=varchar(max)

set dt_HPDecimal_AUX=decimal(!num_MaxDecimalPrecision_AUX!,!num_HPDecimalScale_AUX!)
set dt_MPDecimal_AUX=decimal(!num_MPDecimalPrecision_AUX!,!num_MPDecimalScale_AUX!)

set dt_DecMoney_AUX=decimal(!num_DecMoneyPrecision_AUX!,!num_DecMoneyScale_AUX!)
set dt_DecMoney_2_AUX=decimal(!num_DecMoneyPrecision_2_AUX!,!num_DecMoneyScale_2_AUX!)
set dt_DecMoneyIntegerPart_AUX=decimal(!num_DecMoneyIntPartPrecision_AUX!)
set dt_DecMoneyIntegerPart_2_AUX=decimal(!num_DecMoneyIntPartPrecision_2_AUX!)

set dt_GuidStr_AUX=char(!num_GuidStrLength_AUX!)
set dt_GuidWithBracketsStr_AUX=char(!num_GuidWithBracketsStrLength_AUX!)

set dt_SID_AUX=varbinary(!num_SIDMaxLength_AUX!)

set dt_NormalDateStr_AUX=char(!num_NormalDateStrLength_AUX!)
set dt_NormalTimeStr_AUX=char(!num_NormalTimeStr_AUX!)

set dt_WideDateStr_AUX=nvarchar(!num_WideDateStrCapacity_AUX!)
set dt_IntStr_AUX=varchar(!num_IntStrMaxLength_AUX!)
set dt_BigIntStr_AUX=varchar(!num_BigIntStrMaxLength_AUX!)
set dt_DecimalStr_AUX=varchar(!num_DecimalStrMaxLength_AUX!)
set dt_MPDecimalStr_AUX=varchar(!num_MPDecimalStrMaxLength_AUX!)
set dt_MoneyStr_AUX=varchar(!num_MoneyStrMaxLength_AUX!)
set dt_DecMoneyStr_2_AUX=varchar(!num_DecMoneyStrMaxLength_2_AUX!)

set dt_Name_AUX=nvarchar(!num_NameCapacity_AUX!)
set dt_ShortName_AUX=nvarchar(!num_ShortNameCapacity_AUX!)
set dt_Keyword_AUX=nvarchar(!num_KeywordCapacity_AUX!)

set dt_MonthName_AUX=nvarchar(!num_MonthNameCapacity_AUX!)
set dt_MonthNameWithYear_AUX=nvarchar(!num_MonthNameWithYearCapacity_AUX!)
set dt_WeekDayName_AUX=nvarchar(!num_WeekDayNameCapacity_AUX!)
set dt_RomanNumber_AUX=varchar(!num_RomanNumberDisplayCapacity_AUX!)

set dt_Message_AUX=!dt_String_AUX!

::--------------------------------------------------------------------------------------------------
goto :EOF
::==================================================================================================
:INCORRECT_INTERNAL_CALL
echo.
echo ## Incorrect internal call of "%~nx0" (auxiliary batch).
echo 
pause
EXIT 255
::==================================================================================================
:ERROR
echo 
pause
EXIT 255
::==================================================================================================
